summaryrefslogtreecommitdiff
path: root/src/all.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2008-10-01 11:06:13 -0700
committerRuss Cox <rsc@golang.org>2008-10-01 11:06:13 -0700
commit570399c598ce3325ee90b7e72655ce68e3cdd47f (patch)
tree3d9ef0fae20d851622ce35b95ca5f91a12410b09 /src/all.bash
parent98cad34631fc5409a45980e511392246787c78bf (diff)
downloadgo-570399c598ce3325ee90b7e72655ce68e3cdd47f.tar.gz
add a script to build *everything*
R=r DELTA=41 (41 added, 0 deleted, 0 changed) OCL=16290 CL=16293
Diffstat (limited to 'src/all.bash')
-rwxr-xr-xsrc/all.bash44
1 files changed, 44 insertions, 0 deletions
diff --git a/src/all.bash b/src/all.bash
new file mode 100755
index 000000000..b9202e111
--- /dev/null
+++ b/src/all.bash
@@ -0,0 +1,44 @@
+#!/bin/bash
+# Copyright 2009 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -e
+bash make.bash
+
+xcd() {
+ builtin cd $1
+ echo --- cd $1
+}
+
+(xcd ../usr/gri/gosrc
+make clean
+time make
+make test
+)
+
+(xcd ../usr/gri/pretty
+make clean
+time make
+make test
+)
+
+(xcd ../usr/r/rpc
+make clean
+time make
+chanrun
+)
+
+(xcd ../usr/r/refl
+rm -f *.6 6.out
+6g refl.go
+6g printf.go
+6g main.go
+6l main.6
+6.out
+)
+
+(xcd ../test
+./run
+)
+